## org.exist.util
Interface ByteArray

All Known Implementing Classes:
  FastByteBuffer, FixedByteArray

public interface ByteArray

Method Summary
`void` `append(byte b)`
`void` `append(byte[] b)`
`void` `append(byte[] b, int offset, int length)`
`void` `copyTo(byte[] b, int offset)`
`void` `copyTo(ByteArray other)`
`void` `copyTo(java.nio.ByteBuffer buf)`
`void` `copyTo(int start, byte[] newBuf, int offset, int len)`
`void` `copyTo(int start, java.nio.ByteBuffer buf, int len)`
`void` `setLength(int len)`
`int` `size()`

Method Detail

### setLength

    public void setLength(int len)

### copyTo

    public void copyTo(byte[] b,
                       int offset)

### copyTo

    public void copyTo(int start,
                       byte[] newBuf,
                       int offset,
                       int len)

### copyTo

    public void copyTo(ByteArray other)

### copyTo

    public void copyTo(java.nio.ByteBuffer buf)

### copyTo

    public void copyTo(int start,
                       java.nio.ByteBuffer buf,
                       int len)

### append

    public void append(byte b)

### append

    public void append(byte[] b)

### append

    public void append(byte[] b,
                       int offset,
                       int length)

### size

    public int size()

Copyright (C) Wolfgang Meier. All rights reserved.